Loading...
Searching...
No Matches
ToneGen::Config::Freq Struct Reference

Data storage for a `ToneGen` frequency component. More...

`#include <tonegen.h>`

Collaboration diagram for ToneGen::Config::Freq:

## Public Types

typedef std::vector< Freq > | List
| Container type for a list of `Freq` structures.
typedef std::vector< List > | ListList
| Container type for a list of `Freq::List` structures.

## Public Member Functions

| Freq ()
| Default constructor.

## Public Attributes

unsigned int | hz
| Frequency in `Hz`.
float | db
| Magnitude in `dB`, from `-inf` to `0dB`.

## Detailed Description

Data storage for a `ToneGen` frequency component.